## rtl8812au 4.3.8.12175.20140902%2Bdfsg

=== debian/control ===
Source: rtl8812au
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13), dkms, dh-modaliases, dh-sequence-dkms
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: http://www.realtek.com.tw/
Vcs-Git: https://github.com/rsalveti/rtl8812au.git
Vcs-Browser: https://github.com/rsalveti/rtl8812au

Package: rtl8812au-dkms
Architecture: all
Depends: ${misc:Depends}, dkms, linux-libc-dev, libc6-dev
XB-Modaliases: ${modaliases}
Description: dkms source for the r8812au network driver
 rtl8812au is the Linux device driver released for the RealTek RTL8812AU WiFi
 controllers with USB interface.
 .
 This package provides the dkms source code for the rtl8812au kernel module.
 Kernel source or headers are required to compile these modules.
