=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: rtl8812au
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper-compat (= 13), dkms, dh-modaliases, dh-sequence-dkms
-Standards-Version: 4.6.0.1
-Rules-Requires-Root: no
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Build-Depends: debhelper (>= 9), dkms, dh-modaliases
+Standards-Version: 3.9.6
 Homepage: http://www.realtek.com.tw/
 Vcs-Git: https://github.com/rsalveti/rtl8812au.git
 Vcs-Browser: https://github.com/rsalveti/rtl8812au
