## rtl8812au 5.6.4.2

=== debian/changelog ===
rtl8812au (5.6.4.2-0~mx21+1) mx; urgency=medium

  * New version to support kernel 5.15
  * switched source to aircrack-ng github

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 24 Nov 2021 11:53:20 -0500

rtl8812au-dkms (4.2.2-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master for MX-21.
  * d/control: change to debhelper-compat and dh-exec.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 01 Aug 2021 16:40:24 -0400

rtl8812au (4.2.2-1) unstable; urgency=medium

  * Add driver package to build DEB package support in Debian DKMS format.

 -- zhouzilong <zhouzilong@uniontech.com>  Wed, 09 Jun 2021 15:18:02 +0800
