## rtl8812au 5.13.6%2Bgit20221020

=== debian/changelog ===
rtl8812au (5.13.6+git20221020-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 29 Oct 2022 17:01:58 -0400

rtl8812au (5.13.6+git20221020-1~mx21) mx; urgency=medium

  * Support 6.1 kernel

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 29 Oct 2022 16:34:30 -0400

rtl8812au (5.13.6+git20220728-1~mx21) mx; urgency=medium

  * Support for 5.19 -> 6.0 kernels

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 26 Aug 2022 12:11:36 -0400

rtl8812au (5.13.6+git20220728-0~mx21) mx; urgency=medium

  * New version to support kernel 5.19
  * switched source to github.com/morrownr/8812au-20210629

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 09 Aug 2022 23:00:39 -0400
