## rtl8812au 5.13.6%2Bgit20230615

=== debian/changelog ===
rtl8812au (5.13.6+git20230615-1~mx23) mx; urgency=medium

  * Support for 6.3 kernel
  * build for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 15 Jun 2023 21:26:14 -0400
