=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 Build-Depends: debhelper-compat (= 13), dkms, dh-exec
 Standards-Version: 4.1.3
-Homepage: https://github.com/aircrack-ng/rtl8812au
+Homepage: https://github.com/morrownr/8812au-20210629
 
 Package: rtl8812au-dkms
 Architecture: all
