## rtl8812au 5.13.6+git20230615

=== debian/changelog ===
rtl8812au (5.13.6+git20230615-1~mx21) mx; urgency=medium

  * Rebuild for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 15 Jun 2023 22:02:36 -0400
