## rtl8812au 5.13.6+git20230720

=== debian/changelog ===
rtl8812au (5.13.6+git20230720-1~mx23) mx; urgency=medium

  * Support for 6.4.4 -> 6.5 kernels
  * Build for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 28 Jul 2023 11:37:49 -0400
