=== debian/changelog ===
rtl8812au (5.13.6+git20240119-1~mx23) mx; urgency=medium

  * Support added for 6.7 kernel

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 24 Jan 2024 22:46:57 -0500

rtl8812au (5.13.6+git20230720-1~mx23+1) mx; urgency=medium

  * Set country code in modprobe options so 5ghz APs can be used.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 30 Jul 2023 17:20:12 -0400
