=== debian/changelog ===
rtl8812au (5.13.6+git20240329-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 11 Apr 2024 22:23:17 -0400

rtl8812au (5.13.6+git20240329-1~mx23) mx; urgency=medium

  * Support added for 6.8 & 6.9 kernels

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 11 Apr 2024 21:08:12 -0400
