=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-Build-Depends: debhelper-compat (= 13), dkms, dh-exec
+Build-Depends: debhelper (>= 12), dkms, dh-exec
 Standards-Version: 4.1.3
 Homepage: https://github.com/morrownr/8812au-20210629
